## org.eclipse.jetty.annotations
Class WebListenerAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler
          org.eclipse.jetty.annotations.WebListenerAnnotationHandler

All Implemented Interfaces:
  AnnotationParser.DiscoverableAnnotationHandler

    public class WebListenerAnnotationHandler

extends AbstractDiscoverableAnnotationHandler

Field Summary

Fields inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler
`_annotations, _context`

Constructor Summary
`WebListenerAnnotationHandler(WebAppContext context)`

Method Summary
`void` `handleClass(java.lang.String className, int version, int access, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` `handleField(java.lang.String className, java.lang.String fieldName, int access, java.lang.String fieldType, java.lang.String signature, java.lang.Object value, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` `handleMethod(java.lang.String className, java.lang.String methodName, int access, java.lang.String params, java.lang.String signature, java.lang.String[] exceptions, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`

Methods inherited from class org.eclipse.jetty.annotations.AbstractDiscoverableAnnotationHandler
`addAnnotation, getAnnotationList, resetList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebListenerAnnotationHandler

    public WebListenerAnnotationHandler(WebAppContext context)

Method Detail

### handleClass

    public void handleClass(java.lang.String className,
                            int version,
                            int access,
                            java.lang.String signature,
                            java.lang.String superName,
                            java.lang.String[] interfaces,
                            java.lang.String annotation,
                            java.util.List<AnnotationParser.Value> values)

  See Also:
    `AnnotationParser.DiscoverableAnnotationHandler.handleClass(java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, java.util.List)`

### handleField

    public void handleField(java.lang.String className,
                            java.lang.String fieldName,
                            int access,
                            java.lang.String fieldType,
                            java.lang.String signature,
                            java.lang.Object value,
                            java.lang.String annotation,
                            java.util.List<AnnotationParser.Value> values)

### handleMethod

    public void handleMethod(java.lang.String className,
                             java.lang.String methodName,
                             int access,
                             java.lang.String params,
                             java.lang.String signature,
                             java.lang.String[] exceptions,
                             java.lang.String annotation,
                             java.util.List<AnnotationParser.Value> values)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.